<div ng-show="loading" class="slide-top">
    <div style="text-align: center;margin-top:20%;">
        <div class="sp sp-circle"></div>
    </div>
</div>
<div ng-hide="loading">
    <div class="row-col">
        <div class="col-sm">
            <div class="box m-b-0">
                <div class="box-header">
                    <h2>Roles</h2>
                    <small>Here you can define permission for access a specific site.</small>
                </div>
                <div class="box-divider m-a-0"></div>
                <div class="box nav-active-border b-info">
                    <form name="form" class="bs-example form-horizontal">
                        <div class="table-responsive">
                            <table class="table table-striped">
                                <thead>
                                <tr>
                                    <th>Site</th>
                                    <th>Active</th>
                                    <th>Role</th>
                                </tr>
                                </thead>
                                <tbody>
                                <tr ng-repeat="item in items track by item.id">
                                    <td>{{ item.name }}</td>
                                    <td>
                                        <label class="ui-switch ui-switch-md dark m-t-xs">
                                            <input type="checkbox" ng-model="item.active">
                                            <i></i>
                                        </label>
                                    </td>
                                    <td>
                                        <ui-select ng-model="item.role_id" search-enabled="false">
                                            <ui-select-match placeholder="Select role">
                                                <span ng-bind="$select.selected.name"></span>
                                            </ui-select-match>
                                            <ui-select-choices repeat="role.id as role in (meta.collections.roles | filter: $select.search) track by role.id">
                                                <span ng-bind="role.name"></span>
                                            </ui-select-choices>
                                        </ui-select>
                                    </td>
                                </tr>
                                <tr ng-if="items.length == 0">
                                    <td colspan="3" class="text-center text-muted">
                                        No items
                                    </td>
                                </tr>
                                </tbody>
                            </table>
                        </div>
                        <div class="box m-b-0">
                            <div class="box-body">
                                <div class="text-right">
                                    <button type="button" class="btn primary" ng-click="save(form)" type="submit">Save</button>
                                </div>
                            </div>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
</div>